<?xml version="1.0"?>

<cfsInfo status="finished" infoWriteCounter="5" infoRejectCounter="23">
  <summary>
    <timer wall-clock="1.152s" wall="1.152" cpu="4.01229" calls="1"/>
    <!-- memory in MB-->
    <memory final="476.5" peak="478.51"/>
  </summary>
  <header id="">
    <environment started="2022-Dec-01 10:52:48" host="momo"/>
    <progOpts problem="Cantilever2dSimp" parameterFile="/code/interface-sgp-external/Testsuite/TESTSUIT/Optimization/Optimizer/SGP/Cantilever2dSimp/Cantilever2dSimp.xml" schemaPath="/home/bvu/code/interface-sgp-external/share/xml" meshFile="" logConfFile="" detailed="no">
      <cfs version="21.03" name="Frohes Fensterln" build="Debug" git_commit="c417a07f6fdc6ce229e8aac68f9009cf3b9d8184" git_branch="interface-sgp-external" exe="cfs_debug"/>
      <openmp CFS_NUM_THREADS="4" MKL_NUM_THREADS="4" OMP_NUM_THREADS="4"/>
    </progOpts>
    <domain nx="6" ny="4" nz="1">
      <grids>
        <timer wall-clock="0.03s" wall="0.03" cpu="0.016866" calls="1"/>
        <grid gridId="default" dimensions="2" elements="24" nodes="35"/>
      </grids>
      <coordinateSystems>
        <system name="default"/>
      </coordinateSystems>
      <regions>
        <region name="mech" id="0" type="volume" regular="yes" hom="yes" nodes="35" elems="24" isQuadratic="no"/>
      </regions>
      <namedNodes>
        <nodes name="south" count="7"/>
        <nodes name="north" count="7"/>
        <nodes name="west" count="5"/>
        <nodes name="east" count="5"/>
        <nodes name="south_west" count="1" coord="(0,0)"/>
        <nodes name="south_east" count="1" coord="(3,0)"/>
        <nodes name="north_west" count="1" coord="(0,2)"/>
        <nodes name="north_east" count="1" coord="(3,2)"/>
        <nodes name="load" count="1" coord="(3,0)"/>
      </namedNodes>
      <namedElements/>
      <globalMathParser dt="0" f="0" nx="6" ny="4" nz="1" step="0" t="0" t0="0"/>
    </domain>
    <results>
      <timer wall-clock="0.022s" wall="0.022" cpu="0.074264" calls="88"/>
    </results>
  </header>
  <calculation>
    <process/>
  </calculation>
  <sequenceStep sequence="1">
    <static>
      <init_static>
        <timer wall-clock="0.181s" wall="0.181" cpu="0.716145" calls="1"/>
      </init_static>
    </static>
    <PDE>
      <mechanic>
        <header>
          <region name="mech" damping="none"/>
          <integrators>
            <matrixBiLinearForms>
              <bilinearForm integrator="LinElastInt">
                <coef value="CoefFunctionOpt"/>
              </bilinearForm>
              <bilinearForm integrator="LinElastInt" type="BDBInt" complex="no" BOp="StrainOperator2D" region="mech">
                <row pde="mechanic" functionId="0" result="mechDisplacement"/>
                <column pde="mechanic" functionId="0" result="mechDisplacement"/>
                <destination feMatrix="stiffness" feMatrixMapped="system" feSecondMatrix="no_fe_matrix" feSecondMatrixFac="0.0  "/>
                <attributes entryType="RealPart" counterPart="no" symmetric="yes" solutionDependent="no" updatedGeo="no"/>
              </bilinearForm>
            </matrixBiLinearForms>
            <rhsLinearForms>
              <linearForm integrator="NodalForceInt" region="">
                <entities name="load" size="1" region="no_region"/>
                <row pde="mechanic" result="mechDisplacement" solutionDependent="no"/>
              </linearForm>
            </rhsLinearForms>
          </integrators>
        </header>
        <material name="99lines">
          <regionList>
            <region name="mech"/>
          </regionList>
          <property name="Mechanic_Stiffness_Tensor">
            <tensor dim1="6" dim2="6">
              <real>
                 1.346154e+00  5.769231e-01  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  1.346154e+00  5.769231e-01  0.000000e+00  0.000000e+00  0.000000e+00
                 5.769231e-01  5.769231e-01  1.346154e+00  0.000000e+00  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01  0.000000e+00
                 0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  0.000000e+00  3.846154e-01
              </real>
            </tensor>
          </property>
          <property name="Mechanic_Elasticity_Modulus" value="(1,0)"/>
          <property name="Mechanic_Poisson_Ratio" value="(0.3,0)"/>
          <property name="Density" value="(1e-08,0)"/>
          <property name="Rayleigh_Frequency" value="1000"/>
          <property name="Loss_TangensDelta" value="0.029999999999999999"/>
        </material>
        <feSpaces>
          <mechDisplacement>
            <h1Nodal>
              <regionList>
                <mech/>
                <default order="1"/>
              </regionList>
            </h1Nodal>
          </mechDisplacement>
        </feSpaces>
        <feFunctions>
          <mechDisplacement/>
          <homDirichletBC>
            <nodeList name="west" dofs="x y"/>
          </homDirichletBC>
          <inhomDirichletBC/>
        </feFunctions>
      </mechanic>
    </PDE>
    <OLAS>
      <mechanic>
        <setup idbcHandling="elimination" staticCondensation="no">
          <feFunctions totalNumEqns="60" totalNumFreeEqns="60" totalNumDirichlet="0">
            <function id="0" name="mechDisplacement" numEqns="60" lastFreeEqn="60" numDirichlet="0">
              <usedInBlocks>
                <block id="0"/>
              </usedInBlocks>
            </function>
          </feFunctions>
          <sbmBlocks>
            <block id="0" size="60" lastFreeIndex="60"/>
          </sbmBlocks>
        </setup>
        <solver>
          <pardiso hermitean="no" symStruct="no" symmetric="yes" posDef="no" pardiso_matrix="-2" solver="direct">
            <summary>
              <setup>
                <timer label="setup_pardiso" wall-clock="0s" wall="0" cpu="0.115479" calls="170"/>
              </setup>
              <solve>
                <timer label="solve_pardiso" wall-clock="0s" wall="0" cpu="0.020802" calls="170"/>
              </solve>
            </summary>
            <process>
              <call number="1">
                <symbfact cpu="0.000383" wall="0" peakMem="172" permanentMem="171"/>
                <numfact cpu="3.9e-05" wall="0" peakMem="15"/>
              </call>
            </process>
          </pardiso>
        </solver>
        <precond>
          <idPrecond>
            <summary>
              <precond_Id_setup>
                <timer wall-clock="0s" wall="0" cpu="0.000202" calls="170"/>
              </precond_Id_setup>
              <precond_Id_run>
                <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
              </precond_Id_run>
            </summary>
          </idPrecond>
        </precond>
        <process>
          <solver solutionIsOkay="yes"/>
        </process>
      </mechanic>
      <graph_setup>
        <timer wall-clock="0.009s" wall="0.009" cpu="0.028499" calls="1" sub="true"/>
      </graph_setup>
    </OLAS>
    <analysis>
      <summary>
        <assemble>
          <timer wall-clock="0.17s" wall="0.17" cpu="1.1856" calls="340"/>
        </assemble>
      </summary>
    </analysis>
  </sequenceStep>
  <optimization haltopt_file="/code/interface-sgp-external/Testsuite/TESTSUIT/Optimization/Optimizer/SGP/Cantilever2dSimp/HALTOPT">
    <header>
      <objective type="compliance" name="compliance" linear="no" filtered="yes" task="minimize"/>
      <constraints>
        <constraint type="volume" name="volume_(density)" linear="yes" filtered="yes" bound_value="0.4" bound="upperBound" design="density"/>
        <constraint type="volume" name="physical_volume" filtered="yes" mode="observation" design="default"/>
      </constraints>
      <designSpace pamping="0" regular="yes">
        <setup_design>
          <timer wall-clock="0s" wall="0" cpu="0.011954" calls="2"/>
        </setup_design>
        <filters use_mat_filt="yes"/>
        <transferFunctions>
          <transferFunction type="identity" application="no_app" design="default"/>
          <transferFunction type="simp" application="mech" design="density" param="3"/>
        </transferFunctions>
        <designVariables opt_vars="24" field_elems="24" field_fe_elemes="24">
          <design type="density" upperBound="1" lowerBound="0.001" physicalLowerBound="1e-09"/>
        </designVariables>
        <localElementCache org="0" shadow="0" mat_deriv="0" megabytes="0"/>
        <regions>
          <region name="mech" elements="24" bimaterial="-"/>
        </regions>
      </designSpace>
      <sequence step="1" complex="no" harmonic="no" eigenvalue="no" bloch="no" material="mechanic" homogenization="no"/>
      <filters periodic="no">
        <filter type="maxEdge" value="1.3" contribution="linear" design="density" avg_radius="0.65" avg_neighbors="3.1667">
          <timer wall-clock="0.001s" wall="0.001" cpu="0.004298" calls="1"/>
        </filter>
      </filters>
      <excitations>
        <excitation index="0" meta_idx="0" label="0" weight="1" normalized_weight="1"/>
      </excitations>
      <sgp/>
    </header>
    <commit mode="forward" stride="1"/>
    <optimizer>
      <summary>
        <sgp>
          <timer wall-clock="0.083s" wall="0.083" cpu="0.549821" calls="364"/>
        </sgp>
      </summary>
      <sgp>
        <params max_iter="10" max_bisecs="100" max_globs="20" J_stop="1e-06" vol_stop="1e-06" p_filt_density="0" p_filt_angle="0" tau_init="1e-09" tau_incr="5" n_ip="4" model="zeroAsymptotes" filtering="linear" generatePlotData="no"/>
        <hierGrid n_levels="7" samples_rho="5" samples_phi="1" samples_theta="1" samples_psi="1"/>
        <bounds>
          <density min="0.001" max="1"/>
          <rotAngleFirst min="0" max="0"/>
          <rotAngleSecond min="0" max="0"/>
          <rotAngleThird min="0" max="0"/>
        </bounds>
      </sgp>
    </optimizer>
    <summary>
      <eval_objective>
        <timer wall-clock="0s" wall="0" cpu="0.096684" calls="345"/>
      </eval_objective>
      <eval_constraints>
        <timer wall-clock="0s" wall="0" cpu="0.109952" calls="175"/>
      </eval_constraints>
      <eval_grad_objective>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_objective>
      <eval_grad_constraints>
        <timer wall-clock="0s" wall="0" cpu="0" calls="0"/>
      </eval_grad_constraints>
      <break converged="no"/>
      <reason msg="running"/>
    </summary>
    <process>
      <iteration number="0" duration="0.442" compliance="2654.65192875162" volume_density="0.3" physical_volume="0.027"/>
      <iteration number="1" duration="0.075" compliance="765.278607745541" volume_density="0.399999404907227" physical_volume="0.0750883340948317"/>
      <iteration number="2" duration="0.072" compliance="694.76093192408" volume_density="0.399999404907226" physical_volume="0.0819583089837153"/>
      <iteration number="3" duration="0.076" compliance="633.491099594277" volume_density="0.399999404907227" physical_volume="0.0901904050218068"/>
      <iteration number="4" duration="0.07" compliance="573.651824072093" volume_density="0.399999404907227" physical_volume="0.100535065940788"/>
      <iteration number="5" duration="0.061" compliance="515.237771795121" volume_density="0.399999404907227" physical_volume="0.113187153807671"/>
      <iteration number="6" duration="0.066" compliance="461.196981617653" volume_density="0.399999404907227" physical_volume="0.127902271533062"/>
      <iteration number="7" duration="0.08" compliance="415.508837504785" volume_density="0.399999404907227" physical_volume="0.14374963665212"/>
      <iteration number="8" duration="0.074" compliance="379.456774916657" volume_density="0.399999404907226" physical_volume="0.159803518166998"/>
      <iteration number="9" duration="0.074" compliance="350.530172286961" volume_density="0.399999404907226" physical_volume="0.176187760925083"/>
      <iteration number="10" duration="0.056" compliance="325.34023934809" volume_density="0.399999404907226" physical_volume="0.19373124277549"/>
    </process>
  </optimization>
</cfsInfo>